For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

List Evals

List the evals in this project, newest first. An eval groups the runs that score a dataset with a set of graders, or that receive results posted from code.

List the evals in this project, newest first. An eval groups the runs that score a dataset with a set of graders, or that receive results posted from code.

gethttps://statsigapi.net/console/v1/evals

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Evals Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

Eval ID.

namestringrequired

Eval name. Used as the identifier in routes.

descriptionstringrequired
aiConfigIDstringrequired

Prompt that created this eval, if any.

Constraints:nullable
createdTimenumberrequired
Constraints:format: double
lastModifiedTimenumberrequired
Constraints:format: double
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
403· Forbidden. The request was valid, but the server is refusing action. You might not have the necessary permissions to access the resource.
statusintegerrequired
Allowed values:403
messagestringrequired

Was this helpful?